SHOW-REVERSE-DEPS(1)

NAME
show-reverse-deps - show reverse dependencies for a given port

SYNOPSIS
show-reverse-deps [-ftv] [-d database] pkgpath

DESCRIPTION
show-reverse-deps quickly computes all ports dependent on a given port through a recursive sql query to sqlports.

The pkgpath parameter should normally be the fullpkgpath of the port to depend on.

Options are as follows:

-d database
    Choose an sqlite3 database other than the default /usr/local/share/sqlports.

-f  Fuzzy matching, show dependencies for any path which contains the pkgpath parameter.

-t  Also include test dependencies. By default, only other types of dependencies are considered.

-v  Show verbose results: instead of a list of pkgpath, show every dependency in the form "fullpkgpath|dependspath|TYPE", where TYPE is one of LIB_DEPENDS, RUN_DEPENDS, BUILD_DEPENDS, TEST_DEPENDS. Results can be rather large!

SEE ALSO
sqlite3(1)